I'm using the git _service to build my package, here
I've been stuck at this error on Debian 8.0 for quite a while, log here. The error does not take place on Ubuntu:

dpkg-source: error: can't build with source format '3.0 (quilt)': non-native package version does not contain a revision

I've tried to add Debtransform-Tar: tar.gz in the .dsc file,
tried this in _service file:
<param name="versionprefix">4.12-1.git</param>
in order to fulfill Debian naming convention here, it did not work.

What can I do to get rid of this error?

Thank you ( :